<template>
<div>
  <DataView v-bind="{api: 'internalaccount', setting: store.lang==='en'? 'internal-account-en' : 'internal-account', pagename: pagename,
  modal: {title: 'Tài khoản', component: 'accounting/AccountView', width: '50%', 'height': '300px'}}" />
  <Modal @close="showmodal=undefined" v-bind="showmodal" v-if="showmodal" />
</div>
</template>
<script>
import { useStore } from '~/stores/index'
export default {
  setup() {
    const store = useStore()
    return {store}
  },
  data() {
    return {
      showmodal: undefined,
      pagename: 'pagedata32'
    }
  },
  methods: {
    deposit() {
      this.showmodal = {component: 'accounting/InternalDeposit', title: 'Nộp tiền tài khoản nội bộ', width: '40%', height: '300px', 
      vbind: {pagename: this.pagename}}
    },
    doClick() {
      this.$approvalcode()
    }
  }
}
</script>